@mixin layout_wrapper {
  margin: 30px;
  @media (min-width: $screen-md) {
    max-width: $screen-xlg;
  }
  @media (min-width: $screen-xlg) {
    margin: 30px auto;
  }
}

@mixin fit {
  @media (min-width: $screen-md) {
    max-width: $screen-xlg;
  }
  @media (min-width: $screen-xlg) {
    margin: 0 auto;
  }
}

@mixin gradient($direction, $list) { 
  background: -webkit-linear-gradient($direction, $list);
  background: -moz-linear-gradient($direction, $list);
  background: -o-linear-gradient($direction, $list);
  background: linear-gradient($direction, $list);  
}

@mixin set_border_radius ($radius) {
  border-radius: $radius;
  -webkit-border-radius: $radius;
  -moz-border-radius: $radius;
  -ms-border-radius: $radius;
  -o-border-radius: $radius;
}

@mixin set_transition ($value) {
  transition: $value;
  -webkit-transition: $value;
  -moz-transition: $value;
  -ms-transition: $value;
  -o-transition: $value;
}

@mixin set_transform ($value) {
  transform: $value;
  -webkit-transform: $value;
  -moz-transform: $value;
  -ms-transform: $value;
  -o-transform: $value;
}

@mixin after_as_bg {
  position: absolute;
  top: 10px;
  left: 10px;
  bottom: -10px;
  right: -10px;
  content: "";
  display: block;
  background-color:lighten($color: $color-primary, $amount: 45);
  z-index: -6;
}

@mixin tag {
  padding: 2px 5px;
  margin-right: 10px;
  border: 1px solid $color-dark-grey;
  text-decoration: none;
  display: inline-block;
}